/**
  * Zambot
  * Zambot | Unlimited Trading | [https://zambot.net](https://zambot.net).
  *
  * The version of the OpenAPI document: 1.0.0
  * Contact: gzambon@gmail.com
  *
  * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
  * https://openapi-generator.tech
  * Do not edit the class manually.
  */

package net.zambot.advisor.model

import java.time.LocalDateTime
import java.util.UUID

import play.api.libs.json._

case class AdviceInfo(agentId:UUID, adviceId: UUID, inboundChannelId:Option[UUID], outboundChannelId:Option[UUID],
                      timestamp: LocalDateTime, sequence: Long, code:String, value:String, data:Map[String, String])

object AdviceInfo {
  implicit val format: Format[AdviceInfo] = Json.format
}

